> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Discovery Intents

> Return the active catalog of user-facing Discovery intents.



## OpenAPI

````yaml /openapi.json get /api/v1/discovery/intents
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/discovery/intents:
    get:
      tags:
        - discovery
      summary: List Discovery Intents
      description: Return the active catalog of user-facing Discovery intents.
      operationId: list_discovery_intents_api_v1_discovery_intents_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DiscoveryIntentResponse'
                title: Response List Discovery Intents Api V1 Discovery Intents Get
                type: array
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    DiscoveryIntentResponse:
      description: Response shape for a single catalog intent.
      properties:
        active:
          default: true
          title: Active
          type: boolean
        category:
          title: Category
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: string
        is_seed:
          default: false
          title: Is Seed
          type: boolean
        label:
          title: Label
          type: string
        min_permission:
          anyOf:
            - type: string
            - type: 'null'
          title: Min Permission
        name:
          title: Name
          type: string
        params_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Params Schema
        renderer:
          default: table
          title: Renderer
          type: string
        tool_binding:
          title: Tool Binding
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - label
        - category
        - tool_binding
        - created_at
        - updated_at
      title: DiscoveryIntentResponse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````